<?php
/**
 * The postinstall hook file of chanzhiEPS.
 *
 * @copyright   Copyright 2009-2016 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     商业软件，非开源软件
 * @author      Gang Liu <liugang@cnezsoft.com> 
 * @package     video 
 * @version     $Id$
 * @link        http://www.chanzhi.org
 */
$blockSql = <<<EOT
INSERT INTO `eps_block` (`type`, `title`, `content`, `template`, `lang`) VALUES
('latestVideo', '最新视频', '{"category":"0","limit":"7"}', 'default','zh-cn'),
('hotVideo', '热门视频', '{"category":"0","limit":"7"}', 'default','zh-cn'),
('videoTree', '视频分类', '{"showChildren":"0"}', 'default','zh-cn'),

('latestVideo', '最新视频', '{"category":"0","limit":"7"}', 'mobile','zh-cn'),
('hotVideo', '热门视频', '{"category":"0","limit":"7"}', 'mobile','zh-cn'),
('videoTree', '视频分类', '{"showChildren":"0"}', 'mobile','zh-cn'),

('latestVideo', '最新视频', '{"category":"0","limit":"7"}', 'default','en'),
('hotVideo', '热门视频', '{"category":"0","limit":"7"}', 'default','en'),
('videoTree', '视频分类', '{"showChildren":"0"}', 'default','en'),

('latestVideo', '最新视频', '{"category":"0","limit":"7"}', 'mobile','en'),
('hotVideo', '热门视频', '{"category":"0","limit":"7"}', 'mobile','en'),
('videoTree', '视频分类', '{"showChildren":"0"}', 'mobile','en'),

('latestVideo', '最新视频', '{"category":"0","limit":"7"}', 'default','zh-tw'),
('hotVideo', '热门视频', '{"category":"0","limit":"7"}', 'default','zh-tw'),
('videoTree', '视频分类', '{"showChildren":"0"}', 'default','zh-tw'),

('latestVideo', '最新视频', '{"category":"0","limit":"7"}', 'mobile','zh-tw'),
('hotVideo', '热门视频', '{"category":"0","limit":"7"}', 'mobile','zh-tw'),
('videoTree', '视频分类', '{"showChildren":"0"}', 'mobile','zh-tw');
EOT;

$this->dbh->exec($blockSql);

$clientLang = $this->app->getClientLang();
if($clientLang != 'zh-cn' && $clientLang != 'en' && $clientLang != 'zh-tw')
{
$blockSql = <<<EOT
INSERT INTO `eps_block` (`type`, `title`, `content`, `template`, `lang`) VALUES
('latestVideo', '最新视频', '{"category":"0","limit":"7"}', 'default','{$clientLang}'),
('hotVideo', '热门视频', '{"category":"0","limit":"7"}', 'default','{$clientLang}'),
('videoTree', '视频分类', '{"showChildren":"0"}', 'default','{$clientLang}'),

('latestVideo', '最新视频', '{"category":"0","limit":"7"}', 'mobile','{$clientLang}'),
('hotVideo', '热门视频', '{"category":"0","limit":"7"}', 'mobile','{$clientLang}'),
('videoTree', '视频分类', '{"showChildren":"0"}', 'mobile','{$clientLang}');
EOT;

$this->dbh->exec($blockSql);
}

$videoTreeBlock = $this->dao->select('id')->from(TABLE_BLOCK)
    ->where('type')->eq('videoTree')
    ->andWhere('template')->eq('default')
    ->andWhere('lang')->eq($clientLang)
    ->fetch('id');

$layoutSql = <<<EOT
INSERT INTO `eps_layout` (`plan`, `page`, `region`, `blocks`, `template`,`lang`) VALUES
(0, 'video_browse', 'side', '[{"id":"{$videoTreeBlock}","grid":"","titleless":0,"borderless":0},{"id":"10","grid":"","titleless":0,"borderless":0}]', 'default','zh-cn'),
(0, 'video_view', 'side', '[{"id":"{$videoTreeBlock}","grid":"","titleless":0,"borderless":0},{"id":"10","grid":"","titleless":0,"borderless":0}]', 'default','zh-cn'),

(0, 'video_browse', 'side', '[{"id":"{$videoTreeBlock}","grid":"","titleless":0,"borderless":0},{"id":"10","grid":"","titleless":0,"borderless":0}]', 'default','en'),
(0, 'video_view', 'side', '[{"id":"{$videoTreeBlock}","grid":"","titleless":0,"borderless":0},{"id":"10","grid":"","titleless":0,"borderless":0}]', 'default','en'),

(0, 'video_browse', 'side', '[{"id":"{$videoTreeBlock}","grid":"","titleless":0,"borderless":0},{"id":"10","grid":"","titleless":0,"borderless":0}]', 'default','zh-tw'),
(0, 'video_view', 'side', '[{"id":"{$videoTreeBlock}","grid":"","titleless":0,"borderless":0},{"id":"10","grid":"","titleless":0,"borderless":0}]', 'default','zh-tw');
EOT;

$this->dbh->exec($layoutSql);

if($clientLang != 'zh-cn' && $clientLang != 'en' && $clientLang != 'zh-tw')
{
$layoutSql = <<<EOT
INSERT INTO `eps_layout` (`plan`, `page`, `region`, `blocks`, `template`,`lang`) VALUES
(0, 'video_browse', 'side', '[{"id":"{$videoTreeBlock}","grid":"","titleless":0,"borderless":0},{"id":"10","grid":"","titleless":0,"borderless":0}]', 'default','{$clientLang}'),
(0, 'video_view', 'side', '[{"id":"{$videoTreeBlock}","grid":"","titleless":0,"borderless":0},{"id":"10","grid":"","titleless":0,"borderless":0}]', 'default','{$clientLang}'),
EOT;

$this->dbh->exec($layoutSql);
}
