<?php
public function buildGiftIndex($lastID)
{
    $type = 'gift';
    if(!commonModel::isAvailable($type))
    {
        if(isset($this->config->search->buildOrder[$type]))
        {
            $type = $this->config->search->buildOrder[$type];
            return call_user_func(array($this, "buildAllIndex"), $type, $lastID);
        }
        else
        {
            return array('finished' => true);
        }
    }
    
    $gifts = $this->dao->select('*')->from(TABLE_GIFT)->beginIF($lastID)->where('id')->gt($lastID)->fi()->limit(100)->fetchAll('id');
    if(isset($this->config->search->buildOrder['gift']))
    {
        if(empty($gifts))
        {
            $type   = $this->config->search->buildOrder['gift'];
            $lastID = 0;
        }
        else
        {
            foreach($gifts as $gift)
            {
                $gift->status = $gift->status == 'online' ? 'normal' : $gift->status;
                $this->save('gift', $gift);
            }
            return array('type' => $type, 'count' => count($gifts), 'lastID' => max(array_keys($gifts)));
        }

        if($type == $this->config->search->buildOrder['gift'])
        {
            return call_user_func(array($this, "buildAllIndex"), $type, $lastID);
        }
    }
    else
    {
        foreach($gifts as $gift)
        {
            $gift->status = $gift->status == 'online' ? 'normal' : $gift->status;
            $this->save('gift', $gift);
        }

        return array('finished' => true);
    }
}

public function processGiftLink($record)
{
    $record->url = helper::createLink('gift', 'view', "id=$record->objectID");
}
