<?php 
include TPL_ROOT . 'common/header.html.php';
?>
<?php echo $common->printPositionBar('search', null, $words);?>
<div class='row'>
  <div class='col-md-12'>
    <div class='list list-condensed'>
      <header>
        <h2><?php echo $lang->search->index;?></h2>
      </header>
      <?php if(isset($this->config->site->searchRange) and $this->config->site->searchRange == 'mall'):?>
      <section id="cardMode" class='cards cards-products cards-borderless'>
        <?php foreach($results as $product):?>
        <div class='col-sm-3 col-xs-6'>
          <div class='card' data-ve='product' id='product<?php echo $product->id?>'>
            <?php
            if(empty($product->image))
            {
                echo html::a($product->url, '<div class="media-placeholder" data-id="' . $product->id . '">' . $product->title . '</div>', "class='media-wrapper'");
            }
            else
            {
                $title = $product->image->primary->title ? $product->image->primary->title : $product->title;
                echo html::a($product->url, html::image($product->image->primary->middleURL, "title='{$title}' alt='{$product->title}'"), "class='media-wrapper'");
            }
            ?>
            <div class='card-heading'>
              <div class='price'>
                <?php
                $currencySymbol = $this->config->product->currencySymbol;
                if(!$product->unsaleable)
                {
                    if($product->promotion != 0)
                    {
                        echo "<strong class='text-danger'>" . $currencySymbol . $product->promotion . '</strong>';
                    }
                    else
                    {
                        if($product->price != 0)
                        {
                            echo "<strong class='text-danger'>" . $currencySymbol . $product->price . '</strong>';
                        }
                    }
                }
                ?>
              </div>
              <div class='text-nowrap text-ellipsis'>
                <span class='pull-left'><?php echo html::a($product->url, $product->title);?></span>
                <?php $productView = isset($this->config->ui->productView) ? $this->config->ui->productView : true;?>
                <?php if($productView):?><span data-toggle='tooltip' class='text-muted views-count pull-right' title='<?php echo $lang->product->viewsCount;?>'><i class="icon icon-eye-open"></i> <?php echo $product->views;?></span><?php endif;?>
              </div>
            </div>
          </div>
        </div>
        <?php endforeach;?>
      </section>
      <?php else:?>
      <section class='items items-hover'>
        <?php foreach($results as $object):?>
        <div class='item'>
          <div class='item-heading'>
            <div class="text-muted pull-right">
              <span title="<?php echo $lang->object->addedDate;?>"><i class='icon-time'></i> <?php echo substr($object->editedDate, 0, 10);?></span>
            </div>
            <h4><?php echo html::a($object->url, $object->title);?></h4>
          </div>
          <div class='item-content'>
            <?php if(!empty($object->image)):?>
            <div class='media pull-right'>
              <?php
              $title = $object->image->primary->title ? $object->image->primary->title : $object->title;
              echo html::a($object->url, html::image($object->image->primary->smallURL, "title='{$title}' class='thumbnail'" ));
              ?>
            </div>
            <?php endif;?>
            <div class='text text-muted'><?php echo $object->summary;?></div>
          </div>
        </div>
        <?php endforeach;?>
      </section>
      <?php endif;?>
      <footer class='clearfix'>
        <?php echo str_replace($words, urlencode($words), $pager->get('right', 'short'));?>
        <span class='execute-info text-muted'><?php printf($lang->search->executeInfo, $pager->recTotal, $consumed);?></span> 
      </footer>
    </div>
  </div>
</div>
<?php include TPL_ROOT . 'common/footer.html.php';?>
